## synthv1 0.9.12

=== CMakeLists.txt ===
project(SYNTHV1)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.9.12")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
else ()
  set (VERSION "${VERSION}")
endif ()

set (PACKAGE_NAME "synthv1")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "synthv1")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable JACK standalone build.
option (CONFIG_JACK "Enable JACK stand-alone build (default=yes)" 1)

# Enable JACK session support.
option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)

# Enable JACK MIDI support option.
option (CONFIG_JACK_MIDI "Enable JACK MIDI support (default=yes)" 1)

# Enable ALSA MIDI support option.
option (CONFIG_ALSA_MIDI "Enable ALSA MIDI support (default=yes)" 1)

# Enable LV2 plugin build.
option (CONFIG_LV2 "Enable LV2 plug-in build (default=yes)" 1)

option (CONFIG_LV2_UI_X11 "Enable LV2 plug-in X11 UI support (default=yes)" 1)

option (CONFIG_LV2_UI_EXTERNAL "Enable LV2 plug-in External UI support (default=yes)" 1)

option (CONFIG_LV2_UI_IDLE "Enable LV2 UI Idle interface support (default=yes)" 1)

option (CONFIG_LV2_UI_SHOW "Enable LV2 UI Show interface support (default=yes)" 1)

option (CONFIG_LV2_UI_RESIZE "Enable LV2 UI Resize interface support (default=yes)" 1)

option (CONFIG_LV2_PROGRAMS "Enable LV2 plug-in Programs support (default=yes)" 1)

option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)

# Enable liblo availability.
option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)

# Enable NSM support.
option (CONFIG_NSM "Enable NSM support (default=yes)" 1)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)

#find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Make sure we get some subtle optimizations out there...
add_compile_options (-ffast-math)

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Find package modules
find_package (PkgConfig REQUIRED)

# Check for JACK libraries.
if (CONFIG_JACK)
  pkg_check_modules (JACK jack>=0.100.0)
  if (JACK_FOUND)
    include_directories (${JACK_INCLUDE_DIRS})
    link_directories (${JACK_LIBRARY_DIRS})
  # link_libraries (${JACK_LIBRARIES})
    set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
    # Check for JACK MIDI headers availability.
    if (CONFIG_JACK_MIDI)
      check_include_file (jack/midiport.h HAVE_JACK_MIDIPORT_H)
      if (NOT HAVE_JACK_MIDIPORT_H)
        set (CONFIG_JACK_MIDI 0)
      endif ()
    endif ()
    # Check for JACK session headers availability.
    if (CONFIG_JACK_SESSION)
      check_include_file (jack/session.h HAVE_JACK_SESSION_H)
      if (NOT HAVE_JACK_SESSION_H)
        set (CONFIG_JACK_SESSION 0)
      endif ()
    endif ()
    # Check for JACK session event callback availability.
    if (CONFIG_JACK_SESSION)
      check_function_exists (jack_set_session_callback CONFIG_JACK_SESSION)
    endif ()
    # Check for ALSA libraries.
    if (CONFIG_ALSA_MIDI)
      pkg_check_modules (ALSA alsa)
      set (CONFIG_ALSA_MIDI ${ALSA_FOUND})
      if (CONFIG_ALSA_MIDI)
        include_directories (${ALSA_INCLUDE_DIRS})
        link_directories (${ALSA_LIBRARY_DIRS})
        link_libraries (${ALSA_LIBRARIES})
      # set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
      else ()
        message (WARNING "*** ALSA library not found.")
      endif ()
    endif ()
  else ()
    message (WARNING "*** JACK library not found.")
    set (CONFIG_JACK 0)
  endif ()
endif ()

if (NOT CONFIG_JACK)
  set (CONFIG_JACK_SESSION 0)
  set (CONFIG_JACK_MIDI 0)
  set (CONFIG_ALSA_MIDI 0)
  set (CONFIG_LIBLO 0)
  set (CONFIG_NSM 0)
endif ()

# Check for LIBLO libraries.
if (CONFIG_LIBLO)
  pkg_check_modules (LIBLO liblo)
  if (LIBLO_FOUND)
    include_directories (${LIBLO_INCLUDE_DIRS})
    link_directories (${LIBLO_LIBRARY_DIRS})
    link_libraries (${LIBLO_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${LIBLO_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** LIBLO library not found.")
    set (CONFIG_LIBLO 0)
  endif ()
endif ()

# Check for LV2 support.
if (CONFIG_LV2)
  pkg_check_modules (LV2 lv2)
  if (LV2_FOUND)
    include_directories (${LV2_INCLUDE_DIRS})
    link_directories (${LV2_LIBRARY_DIRS})
    link_libraries (${LV2_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${LV2_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
    # Check for LV2 Atom support.
    check_include_file (lv2/lv2plug.in/ns/ext/atom/atom.h HAVE_LV2_ATOM_H)
    if (NOT HAVE_LV2_ATOM_H)
      set (CONFIG_LV2_ATOM 0)
    else ()
      set (CONFIG_LV2_ATOM 1)
    endif ()
    set (CONFIG_LV2_ATOM_FORGE_OBJECT ${CONFIG_LV2_ATOM})
    set (CONFIG_LV2_ATOM_FORGE_KEY ${CONFIG_LV2_ATOM})
    # Check for LV2 UI support.
    check_include_file (lv2/lv2plug.in/ns/extensions/ui/ui.h HAVE_LV2_UI_H)
    if (NOT HAVE_LV2_UI_H)
      set (CONFIG_LV2_UI 0)
    else ()
      set (CONFIG_LV2_UI 1)
    endif ()
    if (NOT CONFIG_LV2_UI)
      set (CONFIG_LV2_UI_X11 0)
      set (CONFIG_LV2_UI_EXTERNAL 0)
      set (CONFIG_LV2_UI_IDLE 0)
      set (CONFIG_LV2_UI_SHOW 0)
      set (CONFIG_LV2_UI_RESIZE 0)
    endif ()
  else ()
    message (WARNING "*** LV2 SDK not found.")
    set (CONFIG_LV2 0)
  endif ()
endif ()

# Check for LV2 headers.
if (CONFIG_LV2)
  set (LV2_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/lv2)
  set (CMAKE_REQUIRED_INCLUDES "${LV2_INCLUDES};${CMAKE_REQUIRED_INCLUDES}")
  include_directories (${LV2_INCLUDES})
else ()
  set (CONFIG_LV2_UI_X11 0)
  set (CONFIG_LV2_UI_EXTERNAL 0)
  set (CONFIG_LV2_UI_IDLE 0)
  set (CONFIG_LV2_UI_SHOW 0)
  set (CONFIG_LV2_UI_RESIZE 0)
  set (CONFIG_LV2_PROGRAMS 0)
  set (CONFIG_LV2_PATCH 0)
endif ()

if (CONFIG_LV2_UI_EXTERNAL)
  check_include_file (lv2_external_ui.h HAVE_LV2_EXTERNAL_UI_H)
  if (NOT HAVE_LV2_EXTERNAL_UI_H)
    set (CONFIG_LV2_UI_EXTERNAL 0)
  endif ()
endif ()

if (CONFIG_LV2_PROGRAMS)
  check_include_file (lv2_programs.h HAVE_LV2_PROGRAMS_H)
  if (NOT HAVE_LV2_PROGRAMS_H)
    set (CONFIG_LV2_PROGRAMS 0)
  endif ()
endif ()

if (CONFIG_LV2_PATCH)
  check_include_file (lv2/lv2plug.in/ns/ext/patch/patch.h HAVE_LV2_PATCH_H)
  if (NOT HAVE_LV2_PATCH_H)
    set (CONFIG_LV2_PATCH 0)
  endif ()
endif ()


add_subdirectory (src)


configure_file (synthv1.spec.in synthv1.spec IMMEDIATE @ONLY)

install (FILES synthv1.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install (FILES synthv1.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME synthv1.1)

# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()


message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  JACK stand-alone build . . . . . . . . . . . . . ." CONFIG_JACK)
show_option ("  JACK session support . . . . . . . . . . . . . . ." CONFIG_JACK_SESSION)
show_option ("  JACK MIDI support  . . . . . . . . . . . . . . . ." CONFIG_JACK_MIDI)
show_option ("  ALSA MIDI support  . . . . . . . . . . . . . . . ." CONFIG_ALSA_MIDI)
show_option ("  LV2 plug-in build  . . . . . . . . . . . . . . . ." CONFIG_LV2)
show_option ("  LV2 plug-in X11 UI support   . . . . . . . . . . ." CONFIG_LV2_UI_X11)
show_option ("  LV2 plug-in External UI support  . . . . . . . . ." CONFIG_LV2_UI_EXTERNAL)
show_option ("  LV2 plug-in UI Idle interface support  . . . . . ." CONFIG_LV2_UI_IDLE)
show_option ("  LV2 plug-in UI Show interface support  . . . . . ." CONFIG_LV2_UI_SHOW)
show_option ("  LV2 plug-in UI Resize interface support  . . . . ." CONFIG_LV2_UI_RESIZE)
show_option ("  LV2 plug-in Programs support . . . . . . . . . . ." CONFIG_LV2_PROGRAMS)
show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
show_option ("  NSM (Non Session Management) support . . . . . . ." CONFIG_NSM)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
set(NAME synthv1)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  synthv1.h
  synthv1_config.h
  synthv1_filter.h
  synthv1_formant.h
  synthv1_wave.h
  synthv1_ramp.h
  synthv1_list.h
  synthv1_fx.h
  synthv1_reverb.h
  synthv1_param.h
  synthv1_sched.h
  synthv1_tuning.h
  synthv1_programs.h
  synthv1_controls.h
)

set (SOURCES
  synthv1.cpp
  synthv1_config.cpp
  synthv1_formant.cpp
  synthv1_wave.cpp
  synthv1_param.cpp
  synthv1_sched.cpp
  synthv1_tuning.cpp
  synthv1_programs.cpp
  synthv1_controls.cpp
)

qt5_wrap_cpp (MOC_SOURCES ${HEADERS})


set (HEADERS_UI
  synthv1_ui.h
  synthv1widget.h
  synthv1widget_env.h
  synthv1widget_filt.h
  synthv1widget_wave.h
  synthv1widget_param.h
  synthv1widget_keybd.h
  synthv1widget_preset.h
  synthv1widget_status.h
  synthv1widget_programs.h
  synthv1widget_controls.h
  synthv1widget_control.h
  synthv1widget_palette.h
  synthv1widget_config.h
)

set (SOURCES_UI
  synthv1_ui.cpp
  synthv1widget.cpp
  synthv1widget_env.cpp
  synthv1widget_filt.cpp
  synthv1widget_wave.cpp
  synthv1widget_param.cpp
  synthv1widget_keybd.cpp
  synthv1widget_preset.cpp
  synthv1widget_status.cpp
  synthv1widget_programs.cpp
  synthv1widget_controls.cpp
  synthv1widget_control.cpp
  synthv1widget_palette.cpp
  synthv1widget_config.cpp
)

set (FORMS_UI
  synthv1widget.ui
  synthv1widget_control.ui
  synthv1widget_config.ui
)

set (RESOURCES_UI
  synthv1.qrc
)

qt5_wrap_ui (UI_SOURCES_UI ${FORMS_UI})
qt5_wrap_cpp (MOC_SOURCES_UI ${HEADERS_UI})
qt5_add_resources (QRC_SOURCES_UI ${RESOURCES_UI})


set (HEADERS_LV2
  synthv1_lv2.h
  synthv1_lv2ui.h
  synthv1widget_lv2.h
)

set (SOURCES_LV2
  synthv1_lv2.cpp
  synthv1_lv2ui.cpp
  synthv1widget_lv2.cpp
)

qt5_wrap_cpp (MOC_SOURCES_LV2 ${HEADERS_LV2})


set (HEADERS_JACK
  synthv1_nsm.h
  synthv1_jack.h
  synthv1widget_jack.h
)

set (SOURCES_JACK
  synthv1_nsm.cpp
  synthv1_jack.cpp
  synthv1widget_jack.cpp
)

qt5_wrap_cpp (MOC_SOURCES_JACK ${HEADERS_JACK})


add_library (${NAME} STATIC
  ${MOC_SOURCES}
  ${SOURCES}
)

add_library (${NAME}_ui STATIC
  ${UI_SOURCES_UI}
  ${MOC_SOURCES_UI}
  ${QRC_SOURCES_UI}
  ${SOURCES_UI}
)

add_library (${NAME}_lv2 MODULE
  ${MOC_SOURCES_LV2}
  ${SOURCES_LV2}
)

add_executable (${NAME}_jack
  ${MOC_SOURCES_JACK}
  ${SOURCES_JACK}
)


set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 11)

target_link_libraries (${NAME}       PUBLIC Qt5::Core Qt5::Xml)
target_link_libraries (${NAME}_ui    PUBLIC Qt5::Widgets ${NAME})
target_link_libraries (${NAME}_lv2   PRIVATE ${NAME}_ui)
target_link_libraries (${NAME}_jack  PRIVATE ${NAME}_ui)

if (CONFIG_JACK)
  target_link_libraries (${NAME}_jack PRIVATE ${JACK_LIBRARIES})
endif ()

if (CONFIG_ALSA_MIDI)
  target_link_libraries (${NAME}_jack PRIVATE ${ALSA_LIBRARIES})
endif ()

if (CONFIG_LIBLO)
  target_link_libraries (${NAME}_jack PRIVATE ${LIBLO_LIBRARIES})
endif ()


if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
  add_custom_command(TARGET ${NAME}_lv2  POST_BUILD
    COMMAND strip -v lib${NAME}_lv2.so)
  add_custom_command(TARGET ${NAME}_jack POST_BUILD
    COMMAND strip -v ${NAME}_jack)
endif ()


if (UNIX AND NOT APPLE)
  if (CONFIG_PREFIX MATCHES $ENV{HOME})
    set (CONFIG_LV2DIR ${CONFIG_PREFIX}/.lv2)
  else ()
    set (CONFIG_LV2DIR ${CONFIG_LIBDIR}/lv2)
  endif ()
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${NAME}_lv2.so
     RENAME ${NAME}.so
     DESTINATION ${CONFIG_LV2DIR}/${NAME}.lv2)
  install (FILES ${NAME}.lv2/manifest.ttl
     ${NAME}.lv2/${NAME}.ttl
     ${NAME}.lv2/${NAME}_ui.ttl
     DESTINATION ${CONFIG_LV2DIR}/${NAME}.lv2)
  install (TARGETS ${NAME}_jack RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES images/${NAME}.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES mimetypes/${NAME}.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
  install (FILES mimetypes/application-x-${NAME}-preset.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
  install (FILES mimetypes/application-x-${NAME}-preset.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
endif ()

## synthv1 0.2.0

=== debian/changelog ===
synthv1 (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #678625)

 -- Alessio Treglia <alessio@debian.org>  Fri, 23 Nov 2012 11:34:19 +0000

=== debian/control ===
Source: synthv1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 automake,
 debhelper (>= 9~),
 dh-autoreconf,
 ladspa-sdk,
 libasound2-dev,
 libjack-dev,
 libqt4-dev,
 libsndfile1-dev,
 libtool,
 libx11-dev,
 lv2-dev
Homepage: http://samplv1.sourceforge.net/
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synthv1.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synthv.git

Package: synthv1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Provides:
 lv2-plugin
Description: old-school polyphonic synthesizer
 synthv1 is an old-school all-digital 4-oscillator subtractive
 polyphonic synthesizer with stereo effects, especially suited
 to create strong bass sounds.
 .
 It is provided in both forms of a JACK stand-alone client and
 a LV2 plugin.

## synthv1 0.3.0

=== debian/changelog ===
synthv1 (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Fix the Homepage.
  * Fix Vcs-Browser field.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 16:09:46 +0000

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
  libtool,
  libx11-dev,
  lv2-dev
-Homepage: http://samplv1.sourceforge.net/
+Homepage: http://synthv1.sourceforge.net/
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synthv1.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synthv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synthv1.git
 
 Package: synthv1
 Architecture: any

## synthv1 0.3.1

=== debian/changelog ===
synthv1 (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 08 Feb 2013 18:13:47 +0000

## synthv1 0.3.2

=== debian/changelog ===
synthv1 (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Mar 2013 11:20:03 +0000

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

EXTRA_CONFIGURE_ARGS = \
 --enable-jack \
 --enable-jack-midi \
 --enable-jack-session \
 --enable-lv2

ifeq ($(DEB_HOST_ARCH_OS),linux)
EXTRA_CONFIGURE_ARGS += --enable-alsa-midi
endif

ifeq ($(DEB_HOST_ARCH_CPU),amd64)
EXTRA_CONFIGURE_ARGS += --enable-sse
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

=== debian/watch ===
version=3
http://sf.net/synthv1/synthv1-([\d.]+)\.tar\.gz

## synthv1 0.3.3

=== debian/changelog ===
synthv1 (0.3.3-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 01 Jul 2013 07:54:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
  debhelper (>= 9~),

## synthv1 0.3.5

=== debian/changelog ===
synthv1 (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 12:27:56 +0100

synthv1 (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Patch refreshed.
  * Added liblo-dev as build-dep.
  * Added patch to fix hardening.
  * Added keywords to desktop file - patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 10 Sep 2013 16:34:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
  libsndfile1-dev,
  libtool,
  libx11-dev,
- lv2-dev
+ lv2-dev,
+ liblo-dev
 Homepage: http://synthv1.sourceforge.net/
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synthv1.git

## synthv1 0.3.6

=== debian/changelog ===
synthv1 (0.3.6-3) unstable; urgency=low

  * Fixed FTBS on kfreebsd-* and hurd. (Closes: #736960)
    Thanks to Steven Chamberlain <steven@pyro.eu.org>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 29 Jan 2014 00:44:33 +0100

synthv1 (0.3.6-2) unstable; urgency=low

  * Fixed install path.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 25 Jan 2014 10:11:58 +0100

synthv1 (0.3.6-1) unstable; urgency=low

  * Imported Upstream version 0.3.6
  * Patch refreshed.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 23 Jan 2014 01:13:06 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  lv2-dev,
  liblo-dev
 Homepage: http://synthv1.sourceforge.net/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synthv1.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synthv1.git

## synthv1 0.4.1

=== debian/changelog ===
synthv1 (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Fix syntax for Keywords entry in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 11 Apr 2014 20:21:39 +0200

synthv1 (0.4.0-1) unstable; urgency=low

  * Imported Upstream version 0.4.0
  * Two patches removed - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 11 Mar 2014 15:08:33 +0100

## synthv1 0.5.0

=== debian/changelog ===
synthv1 (0.5.0-1) unstable; urgency=low

  * Imported Upstream version 0.5.0
  * Patch refreshed.
  * Install lv2 plugin to non-multiarch dir. (Closes: #747677) (Closes: #747678)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 09 Aug 2014 09:30:17 +0200

## synthv1 0.5.1

=== debian/changelog ===
synthv1 (0.5.1-1) unstable; urgency=low

  * Imported Upstream version 0.5.1

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 25 Sep 2014 16:05:03 +0200

## synthv1 0.6.2

=== debian/changelog ===
synthv1 (0.6.2-1) unstable; urgency=medium

  * Imported Upstream version 0.6.2

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 May 2015 22:51:39 +0200

synthv1 (0.6.1-1) unstable; urgency=low

  * Imported Upstream version 0.6.1
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Mar 2015 16:55:33 +0100

## synthv1 0.6.3

=== debian/changelog ===
synthv1 (0.6.3-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:11:05 +0000

synthv1 (0.6.3-1) unstable; urgency=medium

  * Imported Upstream version 0.6.3

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 11 May 2015 01:37:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: synthv1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -19,7 +20,7 @@
  lv2-dev,
  liblo-dev
 Homepage: http://synthv1.sourceforge.net/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synthv1.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synthv1.git

## synthv1 0.7.1

=== debian/changelog ===
synthv1 (0.7.1-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1
  * Refresh patches

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 03 Sep 2015 03:16:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: synthv1
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>

## synthv1 0.7.5

=== debian/changelog ===
synthv1 (0.7.5-1) unstable; urgency=medium

  * Imported Upstream version 0.7.5
  * Remove patch applied upstream.
  * Patch refreshed.
  * Bump Standards.
  * Fix VCS fields.
  * Switch to qt5.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Jun 2016 19:10:32 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,17 @@
  ladspa-sdk,
  libasound2-dev,
  libjack-dev,
- libqt4-dev,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libsndfile1-dev,
  libtool,
  libx11-dev,
  lv2-dev,
  liblo-dev
 Homepage: http://synthv1.sourceforge.net/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/synthv1.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/synthv1.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/synthv1.git
 
 Package: synthv1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

EXTRA_CONFIGURE_ARGS = \
 --enable-jack \
 --enable-jack-midi \
 --enable-jack-session \
 --enable-lv2

export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

ifeq ($(DEB_HOST_ARCH_OS),linux)
EXTRA_CONFIGURE_ARGS += --enable-alsa-midi
else
EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
endif

ifeq ($(DEB_HOST_ARCH_CPU),amd64)
EXTRA_CONFIGURE_ARGS += --enable-sse
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

## synthv1 0.7.6

=== debian/changelog ===
synthv1 (0.7.6-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream version 0.7.6
  * Start new upload.
  * Patch refreshed.
  * Package split.
  * Rename and install man page.
  * Finalize changelog.
  * Rename and install man page.
  * Split package (4).
  * Fix Depends: fields.
  * Add Breaks: Replaces: fields.
  * Add synthv1.mime file.
  * Add synthv1-common.install file.
  * Add Breaks Replaces for synthv1-common package.
  * Install desktop icons and mime.
  * Fix clean in rules file.

  [ IOhannes m zmölnig ]
  * Minor amendments to package description

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 12 Oct 2016 20:25:24 +0200

=== debian/control ===
Source: synthv1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 automake,
 debhelper (>= 9~),
 dh-autoreconf,
 ladspa-sdk,
 libasound2-dev,
 libjack-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 libsndfile1-dev,
 libtool,
 libx11-dev,
 lv2-dev,
 liblo-dev,
Homepage: http://synthv1.sourceforge.net/
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/synthv1.git

Package: synthv1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 synthv1-common (=${binary:Version}),
Recommends:
 jackd
Description: old-school polyphonic synthesizer - standalone
 synthv1 is an old-school all-digital 4-oscillator subtractive
 polyphonic synthesizer with stereo effects, especially suited
 to create strong bass sounds.
 .
 This package provides the standalone app.

Package: synthv1-lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 synthv1-common (=${binary:Version}),
Replaces: synthv1 (<< 0.7.6)
Breaks: synthv1 (<< 0.7.6)
Provides:
 lv2-plugin
Description: old-school polyphonic synthesizer - LV2 plugin
 synthv1 is an old-school all-digital 4-oscillator subtractive
 polyphonic synthesizer with stereo effects, especially suited
 to create strong bass sounds.
 .
 This package provides the LV2 plugin.

Package: synthv1-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces: synthv1 (<< 0.7.6)
Breaks: synthv1 (<< 0.7.6)
Description: old-school polyphonic synthesizer - common files
 synthv1 is an old-school all-digital 4-oscillator subtractive
 polyphonic synthesizer with stereo effects, especially suited
 to create strong bass sounds.
 .
 This package provides files shared by both the LV2 plugin
 and the standalone application.

=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)
 
+override_dh_auto_install:
+	cp  $(CURDIR)/synthv1.1 $(CURDIR)/synthv1_jack.1
+	dh_auto_install
+	cp $(CURDIR)/debian/tmp/usr/share/mime/packages/synthv1.xml $(CURDIR)/debian/synthv1-common.sharedmimeinfo
+
+override_dh_clean:
+	dh_clean
+	rm -f $(CURDIR)/debian/synthv1-common.sharedmimeinfo
+	rm -f $(CURDIR)/synthv1_jack.1

## synthv1 0.8.0

=== debian/changelog ===
synthv1 (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * Update copyright file.
  * Set dh/compat 10.
  * Patches refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 21 Nov 2016 11:18:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
  automake,
- debhelper (>= 9~),
+ debhelper (>= 10~),
  dh-autoreconf,
  ladspa-sdk,
  libasound2-dev,

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

## synthv1 0.8.3

=== debian/changelog ===
synthv1 (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3 (Closes: #860214)
  * Sign tags.
  * Remove useless flags.
  * Remove dh_autoreconf.
  * Fix dh version.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jun 2017 22:00:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
  automake,
- debhelper (>= 10~),
- dh-autoreconf,
+ debhelper (>= 10),
  ladspa-sdk,
  libasound2-dev,
  libjack-dev,
@@ -20,7 +19,7 @@
  lv2-dev,
  liblo-dev,
 Homepage: http://synthv1.sourceforge.net/
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/synthv1.git

## synthv1 0.8.4

=== debian/changelog ===
synthv1 (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Bump Standards.
  * Update Vcs - use git instead of cgit.
  * Introduce postclone.sh script to ignore .pc/ dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 23 Aug 2017 11:06:43 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
  lv2-dev,
  liblo-dev,
 Homepage: http://synthv1.sourceforge.net/
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/synthv1.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git
 
 Package: synthv1
 Architecture: any

## synthv1 0.8.5

=== debian/changelog ===
synthv1 (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Bump Standards.
  * Update Homepage to avoid redirecting.
  * Update copyright file.
  * Use secure uri in watch file.
  * Fix install of metainfo files.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Nov 2017 19:30:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
  automake,
- debhelper (>= 10),
+ debhelper (>= 10~),
  ladspa-sdk,
  libasound2-dev,
  libjack-dev,
@@ -18,8 +18,8 @@
  libx11-dev,
  lv2-dev,
  liblo-dev,
-Homepage: http://synthv1.sourceforge.net/
-Standards-Version: 4.1.0
+Homepage: https://synthv1.sourceforge.io/
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git

## synthv1 0.8.6

=== debian/changelog ===
synthv1 (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * Use secure uri in copyright file.
  * Bump Standards.
  * Set dh/compat 11.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 29 Dec 2017 10:08:36 +0100

## synthv1 0.8.6.1%2Brb2

=== debian/changelog ===
synthv1 (0.8.6.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Wed, 27 Jan 2021 14:41:11 +0800

## synthv1 0.8.6.1+rb2

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -19,12 +21,8 @@
 EXTRA_CONFIGURE_ARGS += --disable-alsa-midi
 endif
 
-ifeq ($(DEB_HOST_ARCH_CPU),amd64)
-EXTRA_CONFIGURE_ARGS += --enable-sse
-endif
-
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

## synthv1 0.9.12

=== debian/changelog ===
synthv1 (0.9.12-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:29 +0100

synthv1 (0.9.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.9.12

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * debian/control: Set Vcs-* to salsa.debian.org
  * debian/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * debian/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.4.1
    + Add libjack-jackd2-dev as optional build dependency
    + Remove obsolete ${shlibs:Depends} from synthv1-common
  * debian/copyright:
    + Add FSFAP license
    + Update years and http to https
  * debian/patches/0004-fix_install_path.patch: Drop, obsolete
  * debian/synthv1-common.install: Drop so.* files, only lv2 now
  * debian/synthv1-lv2.install: Fix install path
  * debian/synthv1.manpages: Add french manpage
  * debian/synthv1.mime: Fix quoted-placeholder-in-mailcap-entry
    (Thanks Sebastian!)

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 10 Jan 2020 22:34:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: synthv1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
  automake,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  ladspa-sdk,
  libasound2-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  qtbase5-dev,
  qttools5-dev-tools,
  libsndfile1-dev,
@@ -19,9 +19,9 @@
  lv2-dev,
  liblo-dev,
 Homepage: https://synthv1.sourceforge.io/
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/synthv1.git
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/synthv1.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/synthv1
 
 Package: synthv1
 Architecture: any
@@ -59,7 +59,6 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
 Replaces: synthv1 (<< 0.7.6)
 Breaks: synthv1 (<< 0.7.6)
 Description: old-school polyphonic synthesizer - common files

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 override_dh_auto_install:
 	cp  $(CURDIR)/synthv1.1 $(CURDIR)/synthv1_jack.1
+	cp  $(CURDIR)/synthv1.fr.1 $(CURDIR)/synthv1_jack.fr.1
 	dh_auto_install
 	cp $(CURDIR)/debian/tmp/usr/share/mime/packages/synthv1.xml $(CURDIR)/debian/synthv1-common.sharedmimeinfo
 
@@ -36,3 +37,4 @@
 	dh_clean
 	rm -f $(CURDIR)/debian/synthv1-common.sharedmimeinfo
 	rm -f $(CURDIR)/synthv1_jack.1
+	rm -f $(CURDIR)/synthv1_jack.fr.1

## synthv1 0.9.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.12")
+set (VERSION "0.9.13")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (

=== debian/changelog ===
synthv1 (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13
  * d/upstream/metadata: Add Archive and remove name
  * Update d/copyright year
  * Update cross build patch

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 14 Apr 2020 23:24:50 +0200

synthv1 (0.9.12-2) unstable; urgency=medium

  * Add Helmut's cross patch (Closes: #952869)
  * Set RRR: no
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Mar 2020 12:34:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
  debhelper-compat (= 12),
@@ -19,9 +20,10 @@
  lv2-dev,
  liblo-dev,
 Homepage: https://synthv1.sourceforge.io/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/synthv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/synthv1
+Rules-Requires-Root: no
 
 Package: synthv1
 Architecture: any

## synthv1 0.9.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.13")
+set (VERSION "0.9.14")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -85,6 +85,9 @@
 
 option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)
 
+option (CONFIG_LV2_PORT_EVENT "Enable LV2 plug-in Port-event support (EXPERIMENTAL) (default=no)" 0)
+
+
 # Enable liblo availability.
 option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)
 
@@ -293,6 +296,7 @@
 show_option ("  LV2 plug-in UI Resize interface support  . . . . ." CONFIG_LV2_UI_RESIZE)
 show_option ("  LV2 plug-in Programs support . . . . . . . . . . ." CONFIG_LV2_PROGRAMS)
 show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
+show_option ("  LV2 plug-in Port-event support (EXPERIMENTAL)  . ." CONFIG_LV2_PORT_EVENT)
 show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
 show_option ("  NSM (Non Session Management) support . . . . . . ." CONFIG_NSM)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
synthv1 (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14
  * Install usr/share/mime/packages
  * Refresh cross build patch
  * Bump dh-compat to 13
  * Add false positives to d/not-installed
  * d/rules: Remove obsolete linker flag

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 09 May 2020 23:51:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ladspa-sdk,
  libasound2-dev,
  libjack-dev | libjack-jackd2-dev,

## synthv1 0.9.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.14")
+set (VERSION "0.9.15")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -85,7 +85,7 @@
 
 option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)
 
-option (CONFIG_LV2_PORT_EVENT "Enable LV2 plug-in Port-event support (EXPERIMENTAL) (default=no)" 0)
+option (CONFIG_LV2_PORT_EVENT "Enable LV2 plug-in Port-event support (EXPERIMENTAL) (default=yes)" 1)
 
 
 # Enable liblo availability.

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,7 @@
 set (FORMS_UI
   synthv1widget.ui
   synthv1widget_control.ui
+  synthv1widget_palette.ui
   synthv1widget_config.ui
 )
 
@@ -166,9 +167,9 @@
 
 if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
   add_custom_command(TARGET ${NAME}_lv2  POST_BUILD
-    COMMAND strip -v lib${NAME}_lv2.so)
+    COMMAND strip lib${NAME}_lv2.so)
   add_custom_command(TARGET ${NAME}_jack POST_BUILD
-    COMMAND strip -v ${NAME}_jack)
+    COMMAND strip ${NAME}_jack)
 endif ()

=== debian/changelog ===
synthv1 (0.9.15-1) unstable; urgency=medium

  * New upstream version 0.9.15
  * Mark synthv1-common as Multi-Arch: foreign
  * Change synthv1-common Architecture to all
  * Make synthv1 and synthv1-lv2 depend on source:Version and not binary

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 13 Jul 2020 21:37:38 +0200

## synthv1 0.9.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.15")
+set (VERSION "0.9.16")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (

=== debian/changelog ===
synthv1 (0.9.16-1) unstable; urgency=medium

  * New upstream version 0.9.16

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Aug 2020 17:11:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

## synthv1 0.9.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.16")
+set (VERSION "0.9.17")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -298,6 +298,6 @@
 show_option ("  LV2 plug-in Patch support  . . . . . . . . . . . ." CONFIG_LV2_PATCH)
 show_option ("  LV2 plug-in Port-event support (EXPERIMENTAL)  . ." CONFIG_LV2_PORT_EVENT)
 show_option ("  OSC service support (liblo)  . . . . . . . . . . ." CONFIG_LIBLO)
-show_option ("  NSM (Non Session Management) support . . . . . . ." CONFIG_NSM)
+show_option ("  NSM (New Session Management) support . . . . . . ." CONFIG_NSM)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
 message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== debian/changelog ===
synthv1 (0.9.17-1) unstable; urgency=medium

  * New upstream version 0.9.17
  * Add a simple autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 09 Sep 2020 21:58:28 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- synthv1-common (=${binary:Version}),
+ synthv1-common (=${source:Version}),
 Recommends:
  jackd
 Description: old-school polyphonic synthesizer - standalone
@@ -45,7 +45,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- synthv1-common (=${binary:Version}),
+ synthv1-common (=${source:Version}),
 Replaces: synthv1 (<< 0.7.6)
 Breaks: synthv1 (<< 0.7.6)
 Provides:
@@ -58,7 +58,8 @@
  This package provides the LV2 plugin.
 
 Package: synthv1-common
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Replaces: synthv1 (<< 0.7.6)

=== debian/tests/control ===
Tests: simpletest
Depends: @, psmisc
Restrictions: allow-stderr

## synthv1 0.9.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.17")
+set (VERSION "0.9.18")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -12,8 +12,8 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[v1_]+"  "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
   string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
   execute_process (

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -142,10 +142,10 @@
 )
 
 
-set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 11)
-set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 11)
+set_target_properties (${NAME}       PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_ui    PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_lv2   PROPERTIES CXX_STANDARD 17)
+set_target_properties (${NAME}_jack  PROPERTIES CXX_STANDARD 17)
 
 target_link_libraries (${NAME}       PUBLIC Qt5::Core Qt5::Xml)
 target_link_libraries (${NAME}_ui    PUBLIC Qt5::Widgets ${NAME})

=== debian/changelog ===
synthv1 (0.9.18-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 02 Nov 2020 12:00:14 -0500

synthv1 (0.9.18-1) unstable; urgency=medium

  * New upstream version 0.9.18
  * Add myself to the d/ section in d/copyright
  * Update d/not-installed
  * d/tests/control: Remove allow-stderr and add superficial to Restrictions

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 28 Oct 2020 20:14:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: synthv1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
